Bug 1553361 (CVE-2018-7757) - CVE-2018-7757 kernel: Memory leak in the sas_smp_get_phy_events function in drivers/scsi/libsas/sas_expander.c
Summary: CVE-2018-7757 kernel: Memory leak in the sas_smp_get_phy_events function in d...
Status: NEW
Alias: CVE-2018-7757
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180308,reported=2...
Keywords: Security
Depends On: 1558579 1558583 1509922 1553363 1558580 1558581 1558582
Blocks: 1553365
TreeView+ depends on / blocked
 
Reported: 2018-03-08 18:16 UTC by Pedro Sampaio
Modified: 2019-02-08 15:01 UTC (History)
43 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Memory leak in the sas_smp_get_phy_events function in drivers/scsi/libsas/sas_expander.c in the Linux kernel allows local users to cause a denial of service (kernel memory exhaustion) via multiple read accesses to files in the /sys/class/sas_phy directory.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2948 None None None 2018-10-30 08:59 UTC
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:32 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:38 UTC

Description Pedro Sampaio 2018-03-08 18:16:18 UTC
Memory leak in the sas_smp_get_phy_events function in drivers/scsi/libsas/sas_expander.c in the Linux kernel allows local users to cause a denial of service (kernel memory exhaustion) via multiple read accesses to files in the /sys/class/sas_phy directory.

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=4a491b1ab11ca0556d2fda1ff1301e862a2d44c4

Comment 1 Pedro Sampaio 2018-03-08 18:17:31 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1553363]

Comment 5 errata-xmlrpc 2018-10-30 07:32:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 6 errata-xmlrpc 2018-10-30 07:38:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096

Comment 7 errata-xmlrpc 2018-10-30 08:58:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2948 https://access.redhat.com/errata/RHSA-2018:2948


Note You need to log in before you can comment on or make changes to this bug.